config/routes.rb
Rails.application.routes.draw do
  get 'properties/new'
  
  root                       'pages#home'
  get    'about'          => 'pages#about'
  get    'search'         => 'properties#index'
  get    'register'       => 'users#new'
  get    'login'          => 'sessions#new'
  post   'login'          => 'sessions#create'
  delete 'logout'         => 'sessions#destroy'
  get    'properties/new' => 'properties#new'
  get    'properties/:id/review' => 'reviews#new'
  resources :users
  resources :account_activations, only: [:edit]
  resources :properties
  resources :comments,            only: [:create, :destroy]
  resources :reviews,            only: [:new , :create, :destroy]
end

app/views/layouts/_header.html.erb
<header>
  <span class="search">
    <%= render 'shared/searchbox' %>
  </span>
  
  <div class="header_logo">
    <%= link_to image_tag("logoType.png", alt: "Logo for BedMe"), root_path %>
  </div>
  
  <nav>
    <span class="dropdown_button<% if logged_in? %> logged_in<% end %>">
      <% if logged_in? %> 
        <span class="profile"><%= (gravatar_for current_user, 30) %><span class="username"><%= current_user.name %></span></span>
      <% else %>
        <%= image_tag("more.png", alt: "Drop Down Box") %>
      <% end %>
    </span>
    <ul>
      <% if logged_in? %>
        <% if current_user.admin? %>
          <li><%= link_to "All users", users_path %></li>
          <li><%= link_to "New property", new_property_path %></li>
          <hr>
        <% end %>
        <li><%= link_to "Profile", current_user %></li>
        <li><%= link_to "Settings", edit_user_path(current_user) %></li>
        <hr>
        <li><%= link_to "Log out", logout_path, method: "delete" %></li>
      <% else %>
        <li><%= link_to "Login", login_path %></li>
        <li><%= link_to "Register", register_path %></li>
        <li><%= link_to "About", about_path %></li>
      <% end %>
    </ul>
  </nav>
</header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <%= stylesheet_link_tag 'application', media: 'all',
                                           'data-turbolinks-track' => true %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
    <%= csrf_meta_tags %>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  </head>
  <body>
    <%= render 'layouts/header' %>
    <% flash.each do |message_type, message| %>
      <div class="alert alert-<%= message_type %>"><%= message %></div>
    <% end %>
    <%= yield %>
  </body>
</html>